# OppaiBot
It sits in a torrent tracker's IRC announce channel and downloads any new torrent matching it's filters and saves them to a directory. This is a really lazy bot and has all of about <1 hour of work put into it.

This bot was designed with Oppaitime in mind (hence the name) but it's general enough that it should work with any tracker. Because I'm too lazy to make it login to the tracker site properly, it requires you to extract your session cookie for the site into a text file. How you do that is up to you.

In the future I might add functionality to work on multiple sites at once.

## Requirements
Python 3+  
Python modules: `requests, twisted`

## Config
`server` - This is the address of the IRC server the bot should connect to.  
`port` - This is the server port the bot should use. SSL probably won't work and isn't recommended.  
`nickname` - This is the nickname the bot will use to initially connect to the server with. It's not actually important since the tracker's bot will (usually) rename you upon authentication.  
`ident` - This is the IRC username (aka ident) the bot uses to connect to the server. This rarely makes any different.  
`tracker_bot` - The name of the tracker's IRC bot to authenticate with.  
`auth_msg` - The message to send to the `tracker_bot` to authenticate with and access the announce channel. It's up to you figure it out.  
`watch_dir` - The directory to save torrents to.  
`cookies_txt` - The path to where you session cookie is stored. Should be in Netscape format.  
`tags` - Comma-delineated list of tags to look for in each announce message. The script is just performing simple string comparisons, so the 'tag' can be any substring appearing in the announce message.  

### Example config.cfg
```
[oppaitime]
server = irc.oppaiti.me
port = 6667
nickname = iou1name
ident = OppaiBot
tracker_bot = Udon
auth_msg = BOT #oppaitime-announce iou1name SpaghettiIsAFaggot
watch_dir = /home/iou1name/torrent/oppaitime/Watch/
cookies_txt = cookies.txt
tags = English,Dual Language
```
